## net.sf.saxon.jdom
Class DocumentWrapper

    java.lang.Object
      net.sf.saxon.jdom.NodeWrapper
          net.sf.saxon.jdom.DocumentWrapper

All Implemented Interfaces:
  javax.xml.transform.Source, PullEvent, DocumentInfo, Item, NodeInfo, SiblingCountingNode, ValueRepresentation, VirtualNode

    public class DocumentWrapper

extends NodeWrapper
implements DocumentInfo

The root node of an XPath tree. (Or equivalently, the tree itself).

This class should have been named Root; it is used not only for the root of a document, but also for the root of a result tree fragment, which is not constrained to contain a single top-level element.

Author:
  Michael H. Kay

Field Summary
`protected java.lang.String` `baseURI`
`protected Configuration` `config`
`protected int` `documentNumber`

Fields inherited from class net.sf.saxon.jdom.NodeWrapper
`docWrapper, index, node, nodeKind`

Fields inherited from interface net.sf.saxon.om.NodeInfo
`ALL_NAMESPACES, EMPTY_NAMESPACE_LIST, IS_DTD_TYPE, IS_NILLED, LOCAL_NAMESPACES, NO_NAMESPACES`

Fields inherited from interface net.sf.saxon.om.ValueRepresentation
`EMPTY_VALUE_ARRAY`

Constructor Summary
`DocumentWrapper(org.jdom.Document doc, java.lang.String baseURI, Configuration config)` Create a Saxon wrapper for a JDOM document

Method Summary
`Configuration` `getConfiguration()` Get the configuration previously set using setConfiguration (or the default configuraton allocated automatically)
`int` `getDocumentNumber()` Get the unique document number
`NamePool` `getNamePool()` Get the name pool used for the names in this document
`java.lang.String[]` `getUnparsedEntity(java.lang.String name)` Get the unparsed entity with a given name
`java.util.Iterator` `getUnparsedEntityNames()` Get the list of unparsed entities defined in this document
`NodeInfo` `selectID(java.lang.String id)` Get the element with a given ID, if any
`void` `setConfiguration(Configuration config)` Set the configuration (containing the name pool used for all names in this document)
`NodeWrapper` `wrap(java.lang.Object node)` Wrap a node in the JDOM document.

Methods inherited from class net.sf.saxon.jdom.NodeWrapper

`atomize, compareOrder, copy, equals, generateId, getAttributeValue, getBaseURI, getColumnNumber, getDeclaredNamespaces, getDisplayName, getDocumentRoot, getFingerprint, getLineNumber, getLocalPart, getNameCode, getNodeKind, getParent, getPrefix, getRoot, getSiblingPosition, getStringValue, getStringValueCS, getSystemId, getTypeAnnotation, getTypedValue, getUnderlyingNode, getURI, hasChildNodes, hashCode, isId, isIdref, isNilled, isSameNodeInfo, iterateAxis, iterateAxis, makeWrapper, makeWrapper, setSystemId`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.saxon.om.NodeInfo

`atomize, compareOrder, copy, equals, generateId, getAttributeValue, getBaseURI, getColumnNumber, getDeclaredNamespaces, getDisplayName, getDocumentRoot, getFingerprint, getLineNumber, getLocalPart, getNameCode, getNodeKind, getParent, getPrefix, getRoot, getStringValue, getSystemId, getTypeAnnotation, getURI, hasChildNodes, hashCode, isId, isIdref, isNilled, isSameNodeInfo, iterateAxis, iterateAxis`

Methods inherited from interface javax.xml.transform.Source
`setSystemId`

Methods inherited from interface net.sf.saxon.om.Item
`getStringValueCS, getTypedValue`

Field Detail

### config

    protected Configuration config

### baseURI

    protected java.lang.String baseURI

### documentNumber

    protected int documentNumber

Constructor Detail

### DocumentWrapper

    public DocumentWrapper(org.jdom.Document doc,
                           java.lang.String baseURI,
                           Configuration config)

  Create a Saxon wrapper for a JDOM document

  Parameters:
    `doc` - The JDOM document
    `baseURI` - The base URI for all the nodes in the document

Method Detail

### wrap

    public NodeWrapper wrap(java.lang.Object node)

  Wrap a node in the JDOM document.

  Parameters:
    `node` - The node to be wrapped. This must be a node in the same document (the system does not check for this).
  Returns:
    the wrapping NodeInfo object

### setConfiguration

    public void setConfiguration(Configuration config)

  Set the configuration (containing the name pool used for all names in this document)

### getConfiguration

    public Configuration getConfiguration()

  Get the configuration previously set using setConfiguration (or the default configuraton allocated automatically)

  Specified by:
    `getConfiguration` in interface `NodeInfo`
  Overrides:
    `getConfiguration` in class `NodeWrapper`
  Returns:
    the Configuration

### getNamePool

    public NamePool getNamePool()

  Get the name pool used for the names in this document

  Specified by:
    `getNamePool` in interface `NodeInfo`
  Overrides:
    `getNamePool` in class `NodeWrapper`
  Returns:
    the NamePool

### getDocumentNumber

    public int getDocumentNumber()

  Get the unique document number

  Specified by:
    `getDocumentNumber` in interface `NodeInfo`
  Overrides:
    `getDocumentNumber` in class `NodeWrapper`
  Returns:
    the document number of the document containing this node

### selectID

    public NodeInfo selectID(java.lang.String id)

  Get the element with a given ID, if any

  Specified by:
    `selectID` in interface `DocumentInfo`
  Parameters:
    `id` - the required ID value
  Returns:
    null: JDOM does not provide any information about attribute types.

### getUnparsedEntityNames

    public java.util.Iterator getUnparsedEntityNames()

  Get the list of unparsed entities defined in this document

  Specified by:
    `getUnparsedEntityNames` in interface `DocumentInfo`
  Returns:
    an Iterator, whose items are of type String, containing the names of all unparsed entities defined in this document. If there are no unparsed entities or if the information is not available then an empty iterator is returned

### getUnparsedEntity

    public java.lang.String[] getUnparsedEntity(java.lang.String name)

  Get the unparsed entity with a given name

  Specified by:
    `getUnparsedEntity` in interface `DocumentInfo`
  Parameters:
    `name` - the name of the entity
  Returns:
    null: JDOM does not provide access to unparsed entities

Copyright (c) Saxonica Limited. All rights reserved.